net.sf.jasperreports.engine.fill

## Class JRFillReportTemplate

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillReportTemplate

- All Implemented Interfaces:
    JRReportTemplate

      public class JRFillReportTemplate
      extends java.lang.Object
      implements JRReportTemplate

  Fill-time `JRReportTemplate` implementation.

  Used to evaluate template source expressions.
  Version:
    $Id: JRFillReportTemplate.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillReportTemplate(JRReportTemplate template, JRBaseFiller filler, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRTemplate` | `evaluate()`
    `JRExpression` | `getSourceExpression()` Returns the template source expression.
    `protected static JRTemplate` | `loadTemplate(java.lang.Object source, JRBaseFiller filler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRFillReportTemplate

          public JRFillReportTemplate(JRReportTemplate template,
                              JRBaseFiller filler,
                              JRFillObjectFactory factory)

  - ### Method Detail

    - #### getSourceExpression

          public JRExpression getSourceExpression()

      Description copied from interface: `JRReportTemplate`
      Returns the template source expression.

      The expression type should be (compatible with) one of `java.lang.String`, `java.io.File`, `java.net.URL`, `java.io.InputStream` (in which cases the template is loaded via `JRXmlTemplateLoader`) or `net.sf.jasperreports.engine.JRTemplate` .
      Specified by:
        `getSourceExpression` in interface `JRReportTemplate`
      Returns:
        the template source expression

    - #### evaluate

          public JRTemplate evaluate()
                              throws JRException

      Throws:
        `JRException`

    - #### loadTemplate

          protected static JRTemplate loadTemplate(java.lang.Object source,
                                JRBaseFiller filler)
                                            throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com